Package org.jfree.report.modules.gui.swing.common

## Class DefaultActionFactory

- java.lang.Object
- - org.jfree.report.modules.gui.swing.common.DefaultActionFactory

- All Implemented Interfaces:
    `ActionFactory`

      public class DefaultActionFactory
      extends java.lang.Object
      implements ActionFactory

  Creation-Date: 16.11.2006, 16:28:03
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultActionFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ActionPlugin[]` | `getActions​(SwingGuiContext context, java.lang.String category)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultActionFactory

          public DefaultActionFactory()

  - ### Method Detail

    - #### getActions

          public ActionPlugin[] getActions​(SwingGuiContext context,
                                           java.lang.String category)

      Specified by:
        `getActions` in interface `ActionFactory`